Application: gvSIG desktop - gvSIG bugs #846
Output layer geoprocess Intersection
07/09/2012 09:46 AM - Maria Maluenda

Status: Closed % Done: 0%
Priority: Low Spent time: 0.00 hour
Assignee: Ignacio Brodin

Category: Geoprocess

Target version:

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2049 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

This process always loads three layers, but if a layer does not contain data isn't called Null_.

Apply this geoprocess with the linear layers:

- geodata/vector/SHP2D/Alicante_Comunicaciones_ICV_SHP2d/Alicante_Comunicaciones_ICV_SHP2d.shp

- geodata/vector/SHP2D/Alicante_Comunicaciones_2_ICV_SHP2d/Alicante_Comunicaciones_2_ICV_SHP2d.shp
And is created 2 output layers, the output layer of type point not contain data, but isn't called Null_.

History

#1 - 09/24/2012 02:47 PM - Maria Maluenda
- Target version set to 2.0.0-rc1

This process always loads three layers. If a layer does not contain data it is called Null_. This is a limitation of SEXTANTE.

In this case,are loaded two layer (#696) but the problem is that point layer not contain data but isn't called Null_.

#2 - 10/05/2012 10:20 AM - Vicent Domenech

Can be related with #1135

#3 - 10/22/2012 07:07 PM - Manuel Madrid

- Priority changed from Normal to Low

#4 - 12/07/2012 01:47 PM - Joaquin del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-final

#5 - 12/15/2012 06:38 PM - Manuel Madrid
- Target version deleted (2.0.0-final)

#6 - 01/13/2014 07:47 PM - Alvaro Anguix
- Assignee set to Ignacio Brodin

Nacho, me suena que alguna vez comentamos esto y no era un bug, pues en alguna ocasion si tenia sentido.
Si no es un bug, ciérralo.

#7 - 01/16/2014 01:23 PM - Alvaro Anguix
- Status changed from New to Awaiting response

#8 - 01/23/2014 05:40 PM - Ignacio Brodin

- Status changed from Awaiting response to Fixed

Por un lado hay un problema relacionado con esto que viene por como estdn montados los algoritmos de sextante. De forma fija debes decir las
salidas que tiene, es decir cuantas y de que tipo seran las capas que genera. O hacemos un algoritmo para cada tipo de capa (Interseccion para
puntos, Interseccién para poligonos, Interseccion para lineas) o dependiendo del tipo las otras salen vacias. Esto pasa en casi todos los geoprocesos

que puedan tener distintas entradas.
Por otro lado hay intersecciones, como por ejemplo, interseccion de poligonos que puede generar una capa de poligonos con las intersecciones y otra

de puntos con los puntos donde intersectan los bordes de estos. Esto ya iba asi en los geoprocesos que hizo Zabala y viene un poco por cosas de

JTS. Pasaria parecido con intersecciones entre lineas que puede generar una de puntos y una de lineas.

#9 - 02/26/2014 12:40 PM - Alvaro Anguix

- Status changed from Fixed to Closed
